2018-12-19 00:19 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000224Branch 0.2.1-FINALBugpublic2016-11-23 10:10
Reporterpiter01 
Assigned ToQuix0r 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionnot fixable 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000224: Fehler per Mail
DescriptionHallo,

habe gerade eine Mail bekommen mit der folgender Fehlermeldung

Hallo Administrator,

Es wurde soeben ein Bug im Mailtausch-Script erkannt. Hier ist der Fehlertext:

------------------------------
Fehlermeldung: errno=2,errstr=include(/.../inc/cache/config.cache) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory,errfile=cachesystem.class.php,errline=274
------------------------------
Backtrace:
1.:template-functions.php:1261, debug_get_mailable_backtrace(0)
2.:handler.php:54, debug_report_bug(3)
3.:cachesystem.class.php:274, __errorHandler(5)
4.:cachesystem.class.php:274, getArrayFromCache(0)
5.:cachesystem.class.php:102, getArrayFromCache(0)
6.:functions.php:1530, loadCacheFile(1)
7.:config-functions.php:352, rebuildCache(2)
8.:filters.php:608, updateConfiguration(2)
9.:debug_get_mailable_backtrace:1124, FILTER_RUN_RESET_INCLUDES(1)
10.:filter-functions.php:297, call_user_func_array(2)
11.:functions.php:1714, runFilterChain(1)
12.:filters.php:794, doReset(0)
13.:debug_get_mailable_backtrace:1124, FILTER_RUN_DAILY_RESET(1)
14.:filter-functions.php:297, call_user_func_array(2)
15.:load_cache.php:72, runFilterChain(1)
16.:inc-functions.php:129, include(1)
17.:inc-functions.php:140, loadInclude(1)
18.:mysql-connect.php:110, loadIncludeOnce(1)
19.:inc-functions.php:129, include(1)
20.:inc-functions.php:140, loadInclude(1)
21.:config-global.php:121, loadIncludeOnce(1)
22.:modules.php:52, require(1)
------------------------------
Abfrage-String: /mxchange/modules.php?module=index&what=impressum
------------------------------
Verwendeter Browser: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0
------------------------------

TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000559

Quix0r (administrator)

Last edited: 2012-11-26 10:44

View 2 revisions

Kommt das haeufiger oder seltener vor? Ich habe das bei mir eher seltener beobachtet. Es liegt meiner Vermutung daran, dass ein gleichzeitiger Zugriff auf die selbe Datei erfolgt. Ich habe das bereits versucht mit locks zu unterbinden.

Schon seltsam. Eigentlich sollten das die locks verhindern. :(

Als Alternative faellt mir sonst nur memcached ( http://memcached.org/ ) ein (dass der Cache dort gespeichert wird, was nochmals schneller ist). Das hatte ich aber eigentlich mit 0.3.0 oder hoeher geplant, da dann das Framework dafuer besser geeignet ist.

Ich kann dies aber auch in 0.2.1-FINAL mit einbauen, wenn dies mehr gewuenscht ist.

~0000603

Quix0r (administrator)

Läßt sich so erstmal nicht lösen. Ich denke, ab 0.3.0 wird dies eh hinfällig sein, da dort mehr Abstraktion kommen wird, wo dann die speichernde Klasse austauschbar ist.

~0000687

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2012-09-05 16:48 piter01 New Issue
2012-09-06 07:03 Quix0r Assigned To => Quix0r
2012-09-06 07:03 Quix0r Status new => assigned
2012-09-06 18:09 Quix0r Note Added: 0000559
2012-09-06 18:09 Quix0r Product Version => 0.2.1-FINAL
2012-09-06 18:09 Quix0r Target Version => 0.2.1-FINAL
2012-09-30 21:26 Quix0r Severity minor => tweak
2012-09-30 21:26 Quix0r Category Bug => Feature Request
2012-11-26 10:44 Quix0r Note Edited: 0000559 View Revisions
2012-11-26 10:46 Quix0r Note Added: 0000603
2012-11-26 10:46 Quix0r Status assigned => resolved
2012-11-26 10:46 Quix0r Fixed in Version => 0.2.1-FINAL
2012-11-26 10:46 Quix0r Resolution open => not fixable
2012-11-26 11:02 Quix0r Description Updated View Revisions
2012-11-26 11:03 Quix0r Category Feature Request => Bug
2016-11-23 10:10 Quix0r Note Added: 0000687
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History